Show / Hide Table of Contents

# Class OpenIddictValidationEvents.BaseValidatingContext

Represents an abstract base class used for certain event contexts.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext
OpenIddictValidationEvents.BaseValidatingContext
OpenIddictValidationEvents.BaseExternalContext
OpenIddictValidationEvents.ProcessAuthenticationContext
OpenIddictValidationEvents.ProcessChallengeContext
OpenIddictValidationEvents.ProcessRequestContext

##### Inherited Members

OpenIddictValidationEvents.BaseRequestContext.IsRequestHandled
OpenIddictValidationEvents.BaseRequestContext.IsRequestSkipped
OpenIddictValidationEvents.BaseRequestContext.HandleRequest()
OpenIddictValidationEvents.BaseRequestContext.SkipRequest()
OpenIddictValidationEvents.BaseContext.Transaction
OpenIddictValidationEvents.BaseContext.EndpointType
OpenIddictValidationEvents.BaseContext.Issuer
OpenIddictValidationEvents.BaseContext.Logger
OpenIddictValidationEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public abstract class BaseValidatingContext : OpenIddictValidationEvents.BaseRequestContext

### Constructors

#### BaseValidatingContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.BaseValidatingContext class.

##### Declaration

    protected BaseValidatingContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### Error

Gets or sets the "error" parameter returned to the client application.

##### Declaration

    public string Error { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorDescription

Gets or sets the "error_description" parameter returned to the client application.

##### Declaration

    public string ErrorDescription { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorUri

Gets or sets the "error_uri" parameter returned to the client application.

##### Declaration

    public string ErrorUri { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### IsRejected

Gets a boolean indicating whether the request will be rejected.

##### Declaration

    public bool IsRejected { get; protected set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### Reject(String, String, String)

Rejects the request.

##### Declaration

    public virtual void Reject(string error = null, string description = null, string uri = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | error | The "error" parameter returned to the client application.
System.String | description | The "error_description" parameter returned to the client application.
System.String | uri | The "error_uri" parameter returned to the client application.